package com.rv.points.bean;

import com.google.gson.annotations.SerializedName;
import com.ruiwenliu.wrapper.base.BaseBean;

import java.util.List;

public class PointBean extends BaseBean {

    @SerializedName("data")
    private RvPoint data;
    @SerializedName("rel")
    private boolean rel;

    public RvPoint getData() {
        return data;
    }

    public void setData(RvPoint data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class RvPoint {
        @SerializedName("totalCount")
        private int totalCount;
        @SerializedName("totalPage")
        private int totalPage;
        @SerializedName("pageNum")
        private int pageNum;
        @SerializedName("pageSize")
        private int pageSize;
        @SerializedName("data")
        private List<RvPointItem> data;

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public List<RvPointItem> getData() {
            return data;
        }

        public void setData(List<RvPointItem> data) {
            this.data = data;
        }
    }


    public static class RvPointItem {
        @SerializedName("id")
        private int id;
        @SerializedName("period")
        private int period;
        @SerializedName("number")
        private int number;
        @SerializedName("point")
        private int point;
        @SerializedName("price")
        private float price;
        @SerializedName("isContinuity")
        private boolean isContinuity;
        @SerializedName("finishDay")
        private int finishDay;
        @SerializedName("finishPoint")
        private int finishPoint;
        @SerializedName("status")
        private boolean status;
        @SerializedName("crtTime")
        private long crtTime;
        @SerializedName("isdel")
        private boolean isdel;
        @SerializedName("startTime")
        private long startTime;
        @SerializedName("endTime")
        private long endTime;
        @SerializedName("updTime")
        private long updTime;
        @SerializedName("img")
        private String img;
        @SerializedName("orderId")
        private int orderId;
        @SerializedName("name")
        private String name;
        @SerializedName("code")
        private String code;
        @SerializedName("regulation")
        private String regulation;
        @SerializedName("otherRule")
        private String otherRule;
        @SerializedName("btnWord")
        private String btnWord;
        @SerializedName("integralStatus")
        private boolean integralStatus;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getPeriod() {
            return period;
        }

        public void setPeriod(int period) {
            this.period = period;
        }

        public int getNumber() {
            return number;
        }

        public void setNumber(int number) {
            this.number = number;
        }

        public int getPoint() {
            return point;
        }

        public void setPoint(int point) {
            this.point = point;
        }

        public float getPrice() {
            return price;
        }

        public void setPrice(float price) {
            this.price = price;
        }

        public boolean isContinuity() {
            return isContinuity;
        }

        public void setContinuity(boolean continuity) {
            isContinuity = continuity;
        }

        public int getFinishDay() {
            return finishDay;
        }

        public void setFinishDay(int finishDay) {
            this.finishDay = finishDay;
        }

        public int getFinishPoint() {
            return finishPoint;
        }

        public void setFinishPoint(int finishPoint) {
            this.finishPoint = finishPoint;
        }

        public boolean isStatus() {
            return status;
        }

        public void setStatus(boolean status) {
            this.status = status;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public boolean isIsdel() {
            return isdel;
        }

        public void setIsdel(boolean isdel) {
            this.isdel = isdel;
        }

        public long getStartTime() {
            return startTime;
        }

        public void setStartTime(long startTime) {
            this.startTime = startTime;
        }

        public long getEndTime() {
            return endTime;
        }

        public void setEndTime(long endTime) {
            this.endTime = endTime;
        }

        public long getUpdTime() {
            return updTime;
        }

        public void setUpdTime(long updTime) {
            this.updTime = updTime;
        }

        public String getImg() {
            return img;
        }

        public void setImg(String img) {
            this.img = img;
        }

        public int getOrderId() {
            return orderId;
        }

        public void setOrderId(int orderId) {
            this.orderId = orderId;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getRegulation() {
            return regulation;
        }

        public void setRegulation(String regulation) {
            this.regulation = regulation;
        }

        public String getOtherRule() {
            return otherRule;
        }

        public void setOtherRule(String otherRule) {
            this.otherRule = otherRule;
        }

        public String getBtnWord() {
            return btnWord;
        }

        public void setBtnWord(String btnWord) {
            this.btnWord = btnWord;
        }

        public boolean isIntegralStatus() {
            return integralStatus;
        }

        public void setIntegralStatus(boolean integralStatus) {
            this.integralStatus = integralStatus;
        }
    }

}
